org.richfaces.validator

## Class BeanValidator

- java.lang.Object
- - org.richfaces.validator.ObjectValidator
  - - org.richfaces.validator.BeanValidator

-     public class BeanValidator
      extends ObjectValidator

  Author:
    asmirnov

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.validator.ObjectValidator

      `ObjectValidator.BasePropertyPair, ObjectValidator.ValidatorKey`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.validator.ObjectValidator

      `INPUT_PARAMETERS_IS_NOT_CORRECT, VALIDATOR_PARAM`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Validator` | `getValidator(java.util.Locale locale)`
    `protected java.lang.String[]` | `validate(java.lang.Object base, java.lang.String property, java.lang.Object value, java.util.Locale locale, java.util.Set<java.lang.String> profiles)` Validate bean property for a new value.
    `java.lang.String[]` | `validateGraph(javax.faces.context.FacesContext context, java.lang.Object value, java.util.Set<java.lang.String> profiles)`

    - ### Methods inherited from class org.richfaces.validator.ObjectValidator

      `calculateLocale, createInstance, createValidationResolver, getCurrentResourceBundle, getInstance, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validate

          protected java.lang.String[] validate(java.lang.Object base,
                                    java.lang.String property,
                                    java.lang.Object value,
                                    java.util.Locale locale,
                                    java.util.Set<java.lang.String> profiles)

      Description copied from class: `ObjectValidator`
      Validate bean property for a new value.
      Specified by:
        `validate` in class `ObjectValidator`
      Parameters:
        `base` - - bean
        `property` - - bean property name.
        `value` - new value.
        `profiles` - TODO
      Returns:
        null for a valid value, array of the validation messages othervise.

    - #### validateGraph

          public java.lang.String[] validateGraph(javax.faces.context.FacesContext context,
                                         java.lang.Object value,
                                         java.util.Set<java.lang.String> profiles)

      Specified by:
        `validateGraph` in class `ObjectValidator`

    - #### getValidator

          protected Validator getValidator(java.util.Locale locale)

Copyright © 2014. All Rights Reserved.